# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "olai-uc-postgres"
version = "0.0.1"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "PostgreSQL-backed resource and secret store for the Unity Catalog server."
homepage = "https://unitycatalog.io"
readme = "README.md"
keywords = [
    "unitycatalog",
    "deltalake",
    "lakehouse",
    "delta-sharing",
    "governance",
]
license = "Apache-2.0"
repository = "https://github.com/open-lakehouse/mangrove"
resolver = "2"

[features]
default = ["sqlx"]
integration-pg = []
sqlx = [
    "unitycatalog-common/sqlx",
    "olai-store/sqlx",
]

[lib]
name = "unitycatalog_postgres"
path = "src/lib.rs"

[[test]]
name = "commit_coordinator"
path = "tests/commit_coordinator.rs"

[dependencies.async-trait]
version = "0.1.83"

[dependencies.base64]
version = "0.22"

[dependencies.bytes]
version = "1.1"

[dependencies.chrono]
version = "0.4.41"
features = ["serde"]

[dependencies.itertools]
version = "0.14.0"

[dependencies.olai-http]
version = "0.0.3"

[dependencies.olai-store]
version = "0.0.3"

[dependencies.paste]
version = "1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
features = [
    "raw_value",
    "preserve_order",
]

[dependencies.sqlx]
version = "0.8.3"
features = [
    "postgres",
    "chrono",
    "uuid",
    "json",
    "runtime-tokio-rustls",
    "migrate",
    "macros",
]

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"
features = ["log"]

[dependencies.unitycatalog-common]
version = "0.0.1"
features = ["store"]
default-features = false
package = "olai-uc-common"

[dependencies.url]
version = "2.5.2"
features = [
    "serde",
    "std",
]
default-features = false

[dependencies.uuid]
version = "1.8"
features = ["serde"]

[dev-dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "parking_lot",
]
